Subject: Re: 8xx drivers for 2.6

From: Dan Malek <[email-masked]>
Date: Thu, 11 Dec 2003 14:44:50 -0500

Tom Rini wrote:

> Ok. I've gone and ported the 8xx serial driver, and other misc 8xx
> things up to what 2.6 wants them to be, as well as a few of the
> simpler changes to head_8xx.S.

Thanks.  So, does the kernel at least compile now?  :-)

> ...and in 2.6 having request_8xxirq becomes much uglier because of the
> irqreturn_t stuff

I'm finally going to update this.  I've got a pretty good implemenation
of the cascaded controller stuff for the 8560, once I get this debugged
I'll port it here.

> Dan, if you have _anything_ done for head_8xx.S can you please post
> it?

Yeah, maybe I can do some debug now, too.

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/